List products
curl --request GET \
--url https://api.bitbybit.studio/customer/api/open/v1/products \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bitbybit.studio/customer/api/open/v1/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bitbybit.studio/customer/api/open/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"media": "<string>",
"medias": [
"<string>"
],
"status": "<string>",
"variants": [
{
"id": "<string>",
"key": "<string>",
"price": 123,
"compareAtPrice": 123,
"inventorySku": "<string>",
"media": "<string>"
}
],
"options": [
{
"id": "<string>",
"name": "<string>",
"values": [
"<string>"
]
}
],
"tags": [
"<string>"
],
"types": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total": 123,
"hasNextPage": true
}
}Products
List Products
Retrieve a paginated list of products for your company.
GET
/
products
List products
Authorizations
API key for authentication. Create one in Settings > Developer.
Query Parameters
Required range:
x <= 100Search by product name
⌘I

